> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Glossary Term

> Retrieve a single glossary term by `idOrSlug`.



## OpenAPI

````yaml /openapi.json get /v1/glossary/{idOrSlug}
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/glossary/{idOrSlug}:
    get:
      tags:
        - glossary
      summary: Get Glossary Term
      description: Retrieve a single glossary term by `idOrSlug`.
      operationId: GlossaryController_get_v1
      parameters:
        - name: idOrSlug
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GlossaryResponse'
        '400':
          description: Bad Request
        '404':
          description: Not Found
      security:
        - x-api-key: []
components:
  schemas:
    GlossaryResponse:
      type: object
      properties:
        id:
          type: integer
          minimum: 0
          maximum: 4294967295
        term:
          type: string
          nullable: true
          maxLength: 255
        definition:
          type: string
          nullable: true
          maxLength: 65535
        status:
          type: boolean
          nullable: true
          default: true
        slug:
          type: string
          nullable: true
          maxLength: 255
      required:
        - id
        - term
        - definition
        - status
        - slug
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````